SDL_TextEditingEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
char | text [SDL_TEXTEDITINGEVENT_TEXT_SIZE]
Sint32 | start
Sint32 | length

## Detailed Description

Keyboard text editing event structure (event.edit.*)

Definition at line 241 of file SDL_events.h.

## Field Documentation

## length

Sint32 SDL_TextEditingEvent::length

The length of selected editing text

Definition at line 248 of file SDL_events.h.

## start

Sint32 SDL_TextEditingEvent::start

The start cursor of selected editing text

Definition at line 247 of file SDL_events.h.

## text

char SDL_TextEditingEvent::text[SDL_TEXTEDITINGEVENT_TEXT_SIZE]

The editing text

Definition at line 246 of file SDL_events.h.

## timestamp

Uint32 SDL_TextEditingEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 244 of file SDL_events.h.

## type

Uint32 SDL_TextEditingEvent::type

SDL_TEXTEDITING

Definition at line 243 of file SDL_events.h.

## windowID

Uint32 SDL_TextEditingEvent::windowID

The window with keyboard focus, if any

Definition at line 245 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h